using System;

namespace ConsoleApp67
{
    class Program
    {
        static void Main(string[] args)
        {
            string t = Console.ReadLine();
            string[] t1 = t.Split(' ');
            int a = int.Parse(t1[0]);
            int b = int.Parse(t1[1]);
            t = Console.ReadLine();
            t1 = t.Split(' ');
            int x = int.Parse(t1[0]);
            int y = int.Parse(t1[1]);
            if(a>x&&b==y)
            {
                Console.WriteLine("prvi");
            }

           else if (a == x && b > y)
            {
                Console.WriteLine("drugi");
            }
            else if (a > x && b > y)
            {
                Console.WriteLine("?");
            }
            else if (a == x && b == y)
            {
                Console.WriteLine("nijedan");
            }
        }
    }
}